PxPlus User Forum

Twitter Twitter Twitter

Author Topic: ODBC older versions  (Read 106 times)

Jeffrey Ferreira

  • Gold Member
  • ****
  • Posts: 82
    • View Profile
ODBC older versions
« on: October 07, 2020, 11:50:57 AM »
let me preface by saying i have a client who has not upgraded from providex to pxplus because they are being told they will have to move to their parent company's system  eventually.

however - they have a client server version of providex odbc....4.20

they have an app trying to access it that is 64 bit....
i installed 64 bit odbc 5.20 client driver
it looks good but whenever we try to access the tables we get

contains no columns that can be selected or the current user does not have permissions on that object

does anyone have any ideas? if i put their client server version to 5.20 could that fix it..

jeff

« Last Edit: October 07, 2020, 01:20:59 PM by Jeffrey Ferreira »

Devon Austen

  • Staff
  • Diamond Member
  • *****
  • Posts: 266
  • Don’t Panic
    • View Profile
    • PVX Plus Technologies
Re: ODBC older versions
« Reply #1 on: October 07, 2020, 01:28:30 PM »
Did you upgrade just the client and not the server?

If so the issue is likely an incompatibility between 4.20 server and the 5.20 client.

Check out this table from the PxPlus ODBC FAQ from our documentation: https://manual.pvxplus.com/?odbc/odbc_faq.htm#Mark10
Software Developer for PVX Plus Technologies LTD.

Jeffrey Ferreira

  • Gold Member
  • ****
  • Posts: 82
    • View Profile
Re: ODBC older versions
« Reply #2 on: October 07, 2020, 01:32:09 PM »
thank you Devon...i see they are incompatible